Skip to main content
POST
/
publisher
/
publishers
/
{id}
/
agreements
Add an agreement to a publisher
curl --request POST \
  --url https://api.royalti.io/publisher/publishers/{id}/agreements \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "agreementNumber": "<string>",
  "startDate": "2023-11-07T05:31:56Z",
  "endDate": "2023-11-07T05:31:56Z",
  "terms": {}
}
'
import requests

url = "https://api.royalti.io/publisher/publishers/{id}/agreements"

payload = {
"agreementNumber": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"terms": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agreementNumber: '<string>',
startDate: '2023-11-07T05:31:56Z',
endDate: '2023-11-07T05:31:56Z',
terms: {}
})
};

fetch('https://api.royalti.io/publisher/publishers/{id}/agreements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "TenantId": 123,
  "publisherId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "agreementNumber": "<string>",
  "startDate": "2023-11-07T05:31:56Z",
  "endDate": "2023-11-07T05:31:56Z",
  "terms": {
    "territories": [
      "WW"
    ],
    "excludedTerritories": [
      "<string>"
    ],
    "rightTypes": [],
    "shares": {
      "pr": 123,
      "mr": 123,
      "sr": 123
    },
    "minimumGuarantee": {
      "amount": 123
    }
  },
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}
{
"status": "error",
"message": "<string>",
"code": "<string>",
"details": {}
}
This endpoint requires authentication. Include your Bearer token in the Authorization header.

Code Examples

const response = await fetch('https://api.royalti.io/publisher/publishers/{id}/agreements', {
  method: 'POST',
  headers: {
    'Authorization': `Bearer ${token}`,
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    "ref": "#/components/schemas/UpsertAgreementRequest"
  })
});

const data = await response.json();
console.log(data);
import requests

response = requests.post(
  'https://api.royalti.io/publisher/publishers/{id}/agreements',
  headers={
    'Authorization': f'Bearer {token}'
  },
  json={"ref":"#/components/schemas/UpsertAgreementRequest"}
)

data = response.json()
print(data)
curl -X POST https://api.royalti.io/publisher/publishers/{id}/agreements \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"ref":"#/components/schemas/UpsertAgreementRequest"}'

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Format: "Bearer {token}"

Path Parameters

id
string<uuid>
required

Body

application/json
agreementType
enum<string>
required
Available options:
original,
sub-publishing,
administration,
collection
agreementNumber
string
required
startDate
string<date-time>
endDate
string<date-time> | null
terms
object

Defaults to { territories: [WW], rightTypes: [PR,MR,SR], shares: { pr: 50, mr: 50, sr: 50 } } when omitted on create.

Response

Agreement created.

id
string<uuid>
TenantId
integer
publisherId
string<uuid>
agreementType
enum<string>
Available options:
original,
sub-publishing,
administration,
collection
agreementNumber
string

Unique per tenant.

startDate
string<date-time>
endDate
string<date-time> | null
terms
object
createdAt
string<date-time>
updatedAt
string<date-time>